opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
cv::SeqIterator< _Tp > Class Template Reference

`#include <core.hpp>`

Inheritance diagram for cv::SeqIterator< _Tp >:

## Public Member Functions
_Tp & | operator* ()
| returns reference to the current sequence element
const _Tp & | operator* () const
| returns read-only reference to the current sequence element
SeqIterator & | operator++ ()
| moves iterator to the next sequence element
SeqIterator | operator++ (int) const
| moves iterator to the next sequence element
SeqIterator & | operator+= (int)
| moves iterator forward by the specified offset (possibly negative)
SeqIterator & | operator-- ()
| moves iterator to the previous sequence element
SeqIterator | operator-- (int) const
| moves iterator to the previous sequence element
SeqIterator & | operator-= (int)
| moves iterator backward by the specified offset (possibly negative)
void | seek (size_t pos)
| positions the iterator within the sequence
| SeqIterator ()
| the default constructor
| SeqIterator (const Seq< _Tp > &seq, bool seekEnd=false)
| the constructor setting the iterator to the beginning or to the end of the sequence
size_t | tell () const
| reports the current iterator position

## Public Attributes
int | index

## Detailed Description

### template<typename _Tp>
class cv::SeqIterator< _Tp >

STL-style Sequence Iterator inherited from the CvSeqReader structure

## Constructor & Destructor Documentation

template<typename _Tp >

SeqIterator< _Tp >::SeqIterator | ( |  | ) |
| inline

the default constructor

template<typename _Tp >

SeqIterator< _Tp >::SeqIterator | ( | const Seq< _Tp > & | seq,
|  | bool | seekEnd = `false`
| ) |  |
| inline

the constructor setting the iterator to the beginning or to the end of the sequence

## Member Function Documentation

template<typename _Tp >

_Tp & SeqIterator< _Tp >::operator* | ( |  | ) |
| inline

returns reference to the current sequence element

template<typename _Tp >

const _Tp & SeqIterator< _Tp >::operator* | ( |  | ) | const
| inline

returns read-only reference to the current sequence element

template<typename _Tp >

SeqIterator< _Tp > & SeqIterator< _Tp >::operator++ | ( |  | ) |
| inline

moves iterator to the next sequence element

template<typename _Tp >

SeqIterator< _Tp > SeqIterator< _Tp >::operator++ | ( | int |  | ) | const
| inline

moves iterator to the next sequence element

template<typename _Tp >

SeqIterator< _Tp > & SeqIterator< _Tp >::operator+= | ( | int | delta | ) |
| inline

moves iterator forward by the specified offset (possibly negative)

template<typename _Tp >

SeqIterator< _Tp > & SeqIterator< _Tp >::operator-- | ( |  | ) |
| inline

moves iterator to the previous sequence element

template<typename _Tp >

SeqIterator< _Tp > SeqIterator< _Tp >::operator-- | ( | int |  | ) | const
| inline

moves iterator to the previous sequence element

template<typename _Tp >

SeqIterator< _Tp > & SeqIterator< _Tp >::operator-= | ( | int | delta | ) |
| inline

moves iterator backward by the specified offset (possibly negative)

template<typename _Tp >

void SeqIterator< _Tp >::seek | ( | size_t | pos | ) |
| inline

positions the iterator within the sequence

template<typename _Tp >

size_t SeqIterator< _Tp >::tell | ( |  | ) | const
| inline

reports the current iterator position

## Member Data Documentation

template<typename _Tp>

int cv::SeqIterator< _Tp >::index

The documentation for this class was generated from the following files:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp